Bug 8650 - running misc/batchRebuildBiblioTables.pl messes up tables and creates duplicates
Summary: running misc/batchRebuildBiblioTables.pl messes up tables and creates duplicates
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Command-line Utilities (show other bugs)
Version: 3.8
Hardware: All All
: P5 - low normal (vote)
Assignee: Galen Charlton
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-08-15 21:39 UTC by gbarna
Modified: 2013-12-05 19:53 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Screenshot of duplicate order (171.82 KB, image/png)
2012-08-15 21:39 UTC, gbarna
Details

Note You need to log in before you can comment on or make changes to this bug.
Description gbarna 2012-08-15 21:39:59 UTC
Created attachment 11632 [details]
Screenshot of duplicate order

The other day we added a new framework. 

Under MARC frameworks › CML framework structure › Tag 005 subfield structure › Edit subfields constraints, we changed the Koha link field in tag 005 to biblio.timestamp. There is a note that says this:
 
NOTE: If you change this value you must ask your administrator to run misc/batchRebuildBiblioTables.pl.
 
Therefore, last night we ran misc/batchRebuildBiblioTables.pl and this morning we noticed that all our tables are messed up. We noticed duplicate orders in Acquisitions, duplicate serials entries as well as duplicate biblios. 

We would appreciate any help with this issue. 

Thanks,

Geanina
Comment 1 Chris Cormack 2012-08-15 22:46:23 UTC
Hmmm

 (e.g., Title or Local-Number) NOTE: If you change this value you must ask your administrator to run misc/batchRebuildBiblioTables.pl. 

This note is next to the link field, not the Koha link field.

The rebuild is for if you change the link, not the Koha link field. 

I'm not sure what it will have done in your case :(
Comment 2 Chris Cormack 2012-08-15 22:59:33 UTC
Geanina

When you look at that order, do both biblios have the same biblionumber?
Comment 3 Elliott Davis 2012-08-15 23:58:05 UTC
Geanina,

I think probably the quickest solution would be to restore those tables from a backup if you have one.  Depending on how long this has been a problem you may consider just restoring the whole database since it would be quicker than extracting the tables.
Comment 4 gbarna 2012-08-16 14:05:10 UTC
(In reply to comment #1)
> Hmmm
> 
>  (e.g., Title or Local-Number) NOTE: If you change this value you must ask
> your administrator to run misc/batchRebuildBiblioTables.pl. 
> 
> This note is next to the link field, not the Koha link field.
> 
> The rebuild is for if you change the link, not the Koha link field. 
> 
> I'm not sure what it will have done in your case :(



Aaahhhhh! I see what you are saying. Thank you for bringing that to my attention. I guess I will close this bug.